# $Revision: 1.8 $, $Date: 2011/02/06 16:56:24 $
#
%include	/usr/lib/rpm/macros.mono
#
Summary:	gdata-sharp is a C# library that makes it easy to access data through Google Data APIs
Name:		dotnet-gdata-sharp
Version:	1.7.0.1
Release:	1
License:	Apache v2.0
Group:		Development/Libraries
Source0:	http://google-gdata.googlecode.com/files/libgoogle-data-mono-%{version}.tar.gz
# Source0-md5:	ba4f57eb5ed597d2e5d16f5deb69d411
URL:		http://code.google.com/p/google-gdata/
BuildRequires:	dos2unix
BuildRequires:	mono-csharp
BuildRequires:	mono-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The GData .NET Client Library provides a library and source code that
make it easy to access data through Google Data APIs.

%package devel
Summary:	Files required for compilation using gdata-sharp
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Files required for compilation using gdata-sharp.

%prep
%setup -q -n libgoogle-data-mono-%{version}
dos2unix misc/*.pc.in

%build
%{__make} \
	PREFIX=%{_prefix}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	PREFIX=%{_prefix}

if [ "%{_lib}" != "lib" ]; then
	install -d $RPM_BUILD_ROOT%{_prefix}/%{_lib}
	mv $RPM_BUILD_ROOT%{_prefix}/{lib,%{_lib}}/pkgconfig
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_prefix}/lib/mono/gac/Google.GData.*

%files devel
%defattr(644,root,root,755)
%dir %{_prefix}/lib/mono/GData-Sharp
%{_prefix}/lib/mono/GData-Sharp/*.dll
%{_pkgconfigdir}/gdata-sharp-*.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dotnet-gdata-sharp.spec,v $
Revision 1.8  2011/02/06 16:56:24  sparky
- unified %clean section

Revision 1.7  2010/12/17 09:45:52  caleb
- Up to 1.7.0.1

Revision 1.6  2010/10/23 18:03:33  megabajt
- updated to 1.6.0.0
- removed obsolete pkgconfig-typo-fix.patch

Revision 1.5  2010/03/14 00:03:44  sparky
- BR: dos2unix, mono-csharp
- dropped unused BR: monodoc

Revision 1.4  2010/03/12 17:34:01  patrys
- handle 64bit
- rel 3

Revision 1.3  2010/03/12 15:59:44  patrys
- dox2unix
- rel 2

Revision 1.2  2010/03/12 09:32:54  patrys
- wrong name

Revision 1.1  2010/03/12 09:31:18  patrys
- initial PLD release

